.root {
    width: 100%;
    max-width: 100%;
    overflow: hidden;

    @include media-breakpoint-up(xl) {
        padding-left: rem(270);
        transition: padding-left .3s;
    }

    @include media-breakpoint-up(xxl) {
        padding-left: rem(320);
    }
}

.page {
    min-height: 100vh;
    display: flex;
    flex-direction: column;
}

.main {
    flex-grow: 1;
    padding: rem(40) 0;

    @include media-breakpoint-up(xl) {
        padding: rem(90) 0;
    }
}

.main-page {
    overflow: hidden;
    position: relative;
    background: url("../img/inner_page_bg__01.webp") 50% 0 no-repeat;
    background-size: cover;


    @include media-breakpoint-up(xl) {
        background-size: auto;
    }

    @media (min-width: 1910px) {
        background-size: 100% auto;
    }
}

.page-pattern {
    display: none;
    position: absolute;

    &--01 {
        z-index: 1;
        left: 0;
        top: 425px;
        width: 220px;
    }

    &--02 {
        z-index: 1;
        top: 120px;
        right: -96px;
        width: 192px;
    }

    @include media-breakpoint-up(xl) {
        display: block;
    }
}

.swiper {
    width: 100%;
    height: 100%;
}

.swiper-slide {
    height: auto;
}

.simplebar-track {

    &.simplebar-vertical {
        width: 6px;
    }
}

.simplebar-scrollbar:before {
    left: 0;
    right: 0;
}

.section {
    padding-top: rem(42);
    padding-bottom: rem(50);

    &:last-of-type {
        flex-grow: 1;
    }

    &__wrap {
        z-index: 10;
        position: relative;
    }

    &__header {
        margin-bottom: rem(30);
    }

    &__heading {
        margin-bottom: 0;
    }

    &__control {
        display: flex;
        align-items: center;

        > * {
            margin-left: rem(12);
        }
    }

    &__footer {
        text-align: center;
        padding-top: rem(30);
    }

    &__button {
        display: none;

        &--sm {
            display: block;
            text-align: center;
            padding-top: rem(24);
        }
    }

    &--works {
        overflow: hidden;
        position: relative;
        background: url("../img/works__bg.webp") 50% 50% no-repeat;
        background-size: cover;
    }

    &--calc {
        border-top: 1px solid #dbdbdc;
        background: url("../img/pattern_figure.webp") 0 0 repeat;
    }

    &--light {
        border-bottom: 1px solid #dbdbdc;
        background-color: #fbfbfb;
    }

    &--pattern {
        background: url("../img/pattern_figure.webp") 0 0 repeat;
    }

    &--bg-one {
        overflow: hidden;
        position: relative;
        background: #fdfdfd url("../img/inner_page_bg__01.webp") 50% 0 no-repeat;
        background-size: 150% auto;
    }

    &--border-top {
        border-top: 1px solid #dbdbdc;
    }

    &--rose {
        background: url("../img/section__rose.webp") 50% 50% no-repeat;
        background-size: cover;
    }

    &--about {
        background: url("../img/section__about.webp") 50% 50% no-repeat;
        background-size: cover;
    }

    @include media-breakpoint-up(md) {
        padding-top: rem(60);
        padding-bottom: rem(60);

        &__heading {
            max-width: inherit;
        }

        &__footer {
            padding-top: rem(40);
        }

        &--calc {

        }
    }

    @include media-breakpoint-up(xl) {
        padding-top: rem(90);
        padding-bottom: rem(90);

        &__header {
            display: flex;
            align-items: center;
            justify-content: space-between;
            margin-bottom: rem(50);
        }

        &__control {
            display: none;
        }

        &__heading {
            width: auto;
        }

        &__button {
            display: block;

            &--sm {
                padding-top: 0;
            }
        }

        &__footer {
            display: none;
        }

        &--bg-one {
            background-size: auto;
        }

        &--works {
            min-height: rem(620);
        }

        &--calc {
            padding-top: rem(84);
        }

        &--articles {
            padding-top: rem(100);
        }
    }

    @include media-breakpoint-up(xxl) {

        &--calc {
            min-height: rem(852);
        }
    }

    @media (min-width: 1910px) {

        &--bg-one {
            background-size: 100% auto;
        }
    }
}

.section-price {
    overflow: hidden;
    position: relative;
    background: #fbfbfb;

    &__main {
        z-index: 20;
        position: relative;
    }

    &__media {
        right: 0;
        bottom: -100px;
        z-index: 1;
        width: 320px;
        position: absolute;
    }

    &__heading {
        text-align: center;
    }

    @include media-breakpoint-up(xl) {

        &__media {
            width: 800px;
        }
    }

    @include media-breakpoint-up(xxl) {
        min-height: rem(824);

        &__main {

        }

        &__media {
            bottom: 0;
            width: 949px;
        }
    }
}

.heading {
    font-weight: 500;
    font-size: rem(30);
    line-height: rem(36);
    position: relative;
    text-align: center;

    strong {
        font-weight: 900;
    }

    &--page {
        margin-bottom: rem(20);
    }

    &--article {
        margin-bottom: rem(20);
    }

    @include media-breakpoint-up(md) {
        font-size: rem(32);
        line-height: rem(40);

        &--page {
            margin-bottom: rem(40);
        }

        &--article {
            margin-bottom: rem(30);
        }
    }

    @include media-breakpoint-up(lg) {

    }

    @include media-breakpoint-up(xl) {
        text-align: left;
        font-size: rem(32);
        line-height: rem(46);
    }

    @include media-breakpoint-up(xxl) {
        font-size: rem(45);
        line-height: rem(52);
    }
}

.mini-price {
    font-size: rem(15);
    line-height: rem(22);
    position: relative;

    &__main {
        z-index: 20;
        position: relative;
    }

    &__group {
        display: grid;
        grid-row-gap: rem(12);
        grid-template-columns: 1fr;

        &:last-child {
            display: none;
        }
    }

    &__item {
        display: flex;
        align-items: flex-start;
        position: relative;
        justify-content: space-between;
        padding-left: rem(15);

        &:before {
            left: 0;
            top: rem(8);
            content: '';
            width: rem(6);
            height: rem(6);
            background: $red;
            border-radius: 50%;
            position: absolute;
        }
    }

    &__title {
        font-weight: 500;
        margin-right: rem(20);
    }

    &__value {
        font-weight: 700;
        white-space: nowrap;
    }

    &__media {
        z-index: 1;
        bottom: rem(-10);
        left: rem(185);
        width: 660px;
        position: absolute;
    }

    @include media-breakpoint-up(md) {

        &__main {
            display: grid;
            grid-column-gap: rem(40);
            grid-template-columns: 1fr 1fr;
        }

        &__group {

            &:last-child {
                display: grid;
            }
        }

        &__media {
            left: rem(580);
            bottom: rem(-40);
            width: 700px;
        }
    }

    @include media-breakpoint-up(xl) {
        font-size: rem(16);
        line-height: rem(23);
        margin-top: rem(-10);

        &__main {
            width: rem(760);
        }

        &__item {
            display: block;
        }

        &__title {
            margin-bottom: rem(6);
        }

        &__value {
            font-size: rem(20);
            line-height: rem(24);
        }

        &__group {
            grid-row-gap: rem(32);
        }

        &__media {
            left: rem(846);
            bottom: -10px;
            width: 1042px;
        }
    }

    @include media-breakpoint-up(xxl) {
        font-size: rem(20);
        line-height: rem(26);

        &__group {
            grid-row-gap: rem(22);
        }

        &__item {
            padding-left: rem(22);

            &:before {
                top: rem(10);
            }
        }

        &__main {
            width: rem(920);
        }

        &__value {
            font-size: rem(24);
            line-height: rem(30);
        }
    }
}

.material-offer {
    color: $white;
    background: rgb(89,69,69);
    background: linear-gradient(90deg, rgba(89,69,69,1) 0%, rgba(58,46,46,1) 100%);

    &__main {
        position: relative;
        padding-top: rem(50);
        padding-bottom: rem(50);
    }

    &__content {
        z-index: 20;
        text-align: center;
        position: relative;
    }

    &__media {
        width: 246px;
        margin: 0 auto rem(24) auto;
    }

    &__heading {

        margin-bottom: rem(15);
    }

    &__text {
        font-weight: 300;
        font-size: rem(15);
        line-height: rem(22);
        margin-bottom: rem(20);
    }

    @include media-breakpoint-up(md) {

        &__main {
            display: flex;
            align-items: center;
        }

        &__content {
            text-align: left;
            padding-left: rem(20);
        }

        &__media {
            margin: 0;
            flex-shrink: 0;
        }
    }

    @include media-breakpoint-up(xl) {

        &__main {
            padding: rem(16) 0 0 0;
            min-height: rem(450);
        }

        &__content {
            padding-left: rem(40);
        }

        &__text {
            font-size: rem(20);
            line-height: rem(38);
            margin-bottom: rem(25);
        }

        &__media {
            width: 300px;
        }
    }

    @include media-breakpoint-up(xxl) {

        &__main {
            padding-left: rem(4);
        }

        &__heading {
            margin-bottom: rem(40);
        }

        &__text {
            max-width: rem(840);
            margin-bottom: rem(40);
        }

        &__media {
            width: 370px;
        }

        &__content {
            padding-left: rem(76);
            padding-bottom: rem(36);
        }
    }
}

.care {
    font-size: rem(15);
    line-height: rem(20);
    margin-bottom: rem(20);

    &__title {
        font-weight: 700;
        padding-left: rem(26);
        margin-bottom: rem(20);
    }

    &__content {
        margin: 0;
        padding: 0;
        font-weight: 300;
        list-style: none;

        li {
            position: relative;
            padding-left: rem(26);

            &:not(:last-child) {
                margin-bottom: rem(20);
            }

            &:before {
                top: 0;
                left: 0;
                content: '';
                width: 19px;
                height: 19px;
                position: absolute;
                background: url("../img/icon__ok_round.webp") 50% 50% no-repeat;
                background-size: cover;
            }

            strong {
                font-weight: 700;
            }
        }
    }

    @include media-breakpoint-up(lg) {
        font-size: rem(17);
        line-height: rem(24);

        &__title {
            font-size: rem(19);
            line-height: rem(25);
        }

        &__content {

            li {
                padding-left: rem(40);

                &:before {
                    width: 26px;
                    height: 27px;
                }
            }
        }
    }
}

.white-box {
    background: $white;
    border-radius: 4px;
    padding: rem(20) rem(12);
    margin-bottom: rem(20);
    box-shadow: -1px 1px 2px 2px rgba(0, 0, 0, 0.02);

    &:last-child {
        margin-bottom: 0;
    }

    &__header {
        margin-bottom: rem(10);
    }

    &__title {
        margin: 0;
        text-align: center;
        font-weight: 500;
        font-size: rem(20);
        line-height: rem(26);
    }

    &__button {
        display: none;
    }

    &__footer {
        text-align: center;
        padding-top: rem(20);
    }

    @include media-breakpoint-up(md) {
        padding: rem(20) rem(30);
        margin-bottom: rem(30);

        &:last-child {
            margin-bottom: 0;
        }

        &__title {
            font-size: rem(24);
            line-height: rem(30);
        }

        &__footer {
            padding-top: rem(20);
        }
    }

    @include media-breakpoint-up(lg) {

        &__header {
            display: flex;
            align-items: center;
            justify-content: space-between;
            margin-bottom: rem(25);
        }

        &__title {
            text-align: left;
        }

        &__button {
            display: block;
        }

        &__footer {
            display: none;
        }
    }

    @include media-breakpoint-up(xl) {
        padding: rem(30) rem(30);
    }

    @include media-breakpoint-up(xxl) {
        padding: rem(38) rem(40) rem(40) rem(40);
        margin-bottom: rem(50);

        &--md {
            padding-top: rem(24);
        }

        &--lg {
            padding-top: rem(30);
        }

        &:last-child {
            margin-bottom: 0;
        }
    }
}

.showcase {
    display: grid;
    grid-row-gap: rem(10);
    grid-column-gap: rem(10);
    grid-template-columns: 1fr 1fr;

    &--preview {

        .showcase-item {
            display: none;

            &:nth-child(-n+4) {
                display: block;
            }
        }
    }

    @include media-breakpoint-up(sm) {
        grid-template-columns: 1fr 1fr 1fr;

        &--preview {

            .showcase-item {
                display: block;
            }
        }
    }

    @include media-breakpoint-up(md) {
        grid-template-columns: 1fr 1fr 1fr 1fr 1fr 1fr;
    }

    @include media-breakpoint-up(xl) {}

    @include media-breakpoint-up(xxl) {
        grid-column-gap: rem(39);
        grid-row-gap: rem(40);
    }
}

.showcase-item {
    display: block;
    overflow: hidden;
    position: relative;
    border-radius: 5px;

    &:before {
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        z-index: 10;
        content: '';
        position: absolute;
        border-radius: 5px;
        border: 3px solid $red;
        opacity: 0;
        visibility: hidden;
        transition: .3s;
    }

    &:hover {

        &:before {
            opacity: 1;
            visibility: visible;
            transition: .3s;
        }
    }
}

.content {
    color: #2d2d2d;
    font-weight: 300;
    font-size: rem(15);
    line-height: rem(22);

    strong {
        font-weight: 500;
    }

    &--padding {
        padding-left: rem(15);
    }

    &--md {

        p {
            margin-bottom: rem(12);
        }
    }

    @include media-breakpoint-up(xl) {
        font-size: rem(16);
        line-height: rem(24);

        &--padding {
            padding-left: rem(20);
        }
    }

    @include media-breakpoint-up(xxl) {
        font-size: rem(19);
        line-height: rem(36);

        &--md {
            font-size: rem(18);
            line-height: rem(30);
        }

        &--padding {
            padding-left: rem(26);
        }
    }
}

.advantages {
    font-weight: 500;
    font-size: rem(16);
    line-height: rem(20);
    display: grid;
    grid-row-gap: rem(25);
    grid-column-gap: rem(30);
    grid-template-columns: 1fr 1fr;

    &__item {
        text-align: center;
    }

    &__icon {
        width: 90px;
        height: 90px;
        overflow: hidden;
        border-radius: 50%;
        background: $white;
        border: 1px solid #eee;
        margin: 0 auto rem(16) auto;
    }

    @include media-breakpoint-up(md) {
        display: flex;
        justify-content: space-between;
    }

    @include media-breakpoint-up(lg) {

        &__item {
            text-align: left;
        }

        &__icon {
            margin: 0 0 rem(16) 0;
        }
    }

    @include media-breakpoint-up(xxl) {
        font-size: rem(22);
        line-height: rem(32);

        &__icon {
            width: 110px;
            height: 110px;
        }
    }
}

.portfolio-item {
    overflow: hidden;
    border-radius: 5px;
    background: $white;
    margin-bottom: rem(30);
    box-shadow: 1px 1px 2px 2px rgba(0, 0, 0, 0.03);

    &__nav {
        z-index: 20;
        position: absolute;
        top: calc(50% - 18px);

        &--prev {
            left: 10px;
        }

        &--next {
            right: 10px;
        }
    }

    &__media {
        overflow: hidden;
        border-radius: 5px;
    }

    &__content {
        font-size: rem(16);
        line-height: 130%;
        padding: rem(20) rem(10);
    }

    &__title {
        font-weight: 700;
        font-size: rem(15);
        line-height: 130%;
        margin-bottom: rem(10);
    }

    &__text {
        font-weight: 300;
        margin-bottom: rem(10);
    }

    &__button {
        text-align: center;

        .btn {
            min-width: rem(250);
        }
    }

    @include media-breakpoint-up(md) {
        display: flex;
        padding: rem(20);
        margin-bottom: rem(40);

        &__media {
            width: 300px;
            flex-shrink: 0;
        }

        &__content {
           flex-grow: 1;
            padding: 0 0 0 rem(20);
            display: flex;
            flex-direction: column;
        }

        &__text {
            flex-grow: 1;
        }

        &__button {
            text-align: left;
        }
    }

    @include media-breakpoint-up(lg) {

        &__media {
            width: 422px;
        }

        &__content {
            font-size: rem(17);
            line-height: rem(28);
        }

        &__title {
            max-width: rem(500);
            font-size: rem(24);
            line-height: rem(30);
            margin-bottom: rem(20);
        }

        &__text {
            max-width: rem(620);
            margin-bottom: rem(25);
        }

        &__nav {

            &--prev {
                left: 20px;
            }

            &--next {
                right: 20px;
            }
        }
    }

    @include media-breakpoint-up(xxl) {
        padding: rem(30);
        margin-bottom: rem(50);
    }
}

.inline-filter {
    margin: 0 rem(-5) rem(10) rem(-5);
    display: flex;
    align-items: center;
    flex-wrap: wrap;
    justify-content: space-between;

    &__item {
        width: 50%;
        padding: 0 rem(5);
    }

    @include media-breakpoint-up(md) {
        margin: 0 rem(-20) rem(50) rem(-20);
        justify-content: flex-start;

        &__item {
            width: auto;
            padding: 0 rem(5);
            margin-bottom: rem(20);
        }
    }
}

.btn-filter {
    font-size: 0;
    line-height: 0;
    font-weight: 500;
    position: relative;
    display: inline-block;

    input {
        opacity: 0;
        width: 1px;
        height: 1px;
        overflow: hidden;
        visibility: hidden;
    }

    span {
        color: $dark;
        height: rem(38);
        cursor: pointer;
        text-align: center;
        white-space: nowrap;
        font-size: rem(15);
        line-height: rem(20);
        display: inline-flex;
        align-items: center;
        border-radius: 20px;
        justify-content: space-between;
        padding: rem(4) rem(12);
        text-decoration: underline;

        &:hover {
            color: $red;
            text-decoration: none;
        }
    }

    input:checked + span {
        color: $red;
        background: $white;
        text-decoration: none;
    }

    @include media-breakpoint-up(xl) {

        span {
            font-size: 20px;
            padding: rem(4) rem(24);
        }
    }
}

.wood-block {
    color: $white;
    background: rgb(89,69,69);
    background: linear-gradient(90deg, rgba(89,69,69,1) 0%, rgba(58,46,46,1) 100%);

    @include media-breakpoint-up(xl) {
        padding-bottom: rem(98);
    }
}

.offer-form {

    &__lead {
        text-align: center;
        font-weight: 500;
        font-size: rem(20);
        line-height: rem(24);
        margin-bottom: rem(15);

        strong {
            font-weight: 500;
            display: block;
        }

        a {
            color: $dark;
            white-space: nowrap;
            text-decoration: none;
            display: inline-block;
            padding-left: rem(22);
            position: relative;

            &:before {
                left: 0;
                top: calc(50% - 8px);
                content: '';
                width: 16px;
                height: 16px;
                display: block;
                position: absolute;
                background: url('../img/icon__phone_call.webp') 50% 50% no-repeat;
            }

            &:hover {
                color: $dark;
                text-decoration: none;
            }

            &:last-of-type {
                padding-left: rem(22);
                padding-right: rem(16);
            }
        }

        span {
            display: block;
            font-weight: 300;
            font-size: rem(16);
            line-height: rem(22);
        }
    }

    &__media {
        display: none;
    }

    &__wrapper {
        margin: 0 auto;
        max-width: rem(300);
    }

    @include media-breakpoint-up(md) {

        &__wrapper {
            margin: 0;
            max-width: inherit;
        }
    }

    @include media-breakpoint-up(lg) {

        &__main {
            width: rem(900);
        }

        &__wrapper {
            padding-top: rem(6);
        }

        &__lead {
            text-align: left;
            font-size: rem(20);
            line-height: rem(24);

            strong {
                display: inline;
            }

            span {
                display: inline;
                font-weight: 500;
                font-size: rem(20);
                line-height: rem(24);
            }

            a {
                padding: 0;
                display: inline;

                &:before {
                    display: none;
                }

                &:last-of-type {
                    padding: 0;
                }
            }
        }
    }

    @include media-breakpoint-up(xl) {
        position: relative;
        margin-top: rem(-8);

        &__media {
            top: 80px;
            left: 1050px;
            width: 311px;
            display: block;
            position: absolute;
        }

        .btn {
            width: 100%;
        }

        .file-form {
            width: 100%;
        }
    }

    @include media-breakpoint-up(xxl) {

        &__lead {
            font-size: rem(22);
            line-height: rem(32);
            margin-bottom: rem(48);

            span {
                font-size: rem(22);
                line-height: rem(32);
            }
        }
    }
}

.nav-inline {
    margin-bottom: rem(18);

    ul {
        margin: 0;
        padding: 0;
        list-style: none;

        li {
            margin-bottom: rem(2);
        }
    }

    &--fast-links {
        margin-top: rem(10);

        ul {

            li {
                margin-bottom: 0;
                margin-top: rem(2);
            }
        }
    }

    @include media-breakpoint-up(sm) {
        margin-bottom: rem(30);

        ul {
            margin: 0 rem(-4);
            display: flex;
            flex-wrap: wrap;
            align-items: center;

            li {
                padding: 0 rem(4);
                margin-bottom: rem(10);
            }
        }

        &--fast-links {
            margin-top: rem(25);

            ul {

                li {
                    margin-bottom: 0;
                    margin-top: rem(10);
                }
            }
        }
    }

    @include media-breakpoint-up(xxl) {
        padding-top: rem(10);
        margin-bottom: rem(16);

        ul {
            margin: 0 rem(-10);

            li {
                padding: 0 rem(10);
                margin-bottom: rem(0);
            }
        }

        &--xl {

            ul {

                li {
                    margin-bottom: rem(24);
                }
            }
        }
    }
}

.tab-content {
    padding: rem(10);
    border-radius: 5px;
    background: $white;
    box-shadow: 1px 1px 2px 2px rgba(0, 0, 0, 0.01);

    @include media-breakpoint-up(md) {
        padding: rem(20) rem(30);
    }

    @include media-breakpoint-up(xxl) {
        padding: rem(28) rem(40);
    }
}

@include media-breakpoint-up(sm) {}
@include media-breakpoint-up(md) {}
@include media-breakpoint-up(lg) {}
@include media-breakpoint-up(xl) {}
@include media-breakpoint-up(xxl) {}
